GET/cosmos/slashing/v1beta1/signing_infos

https://rest-injective-mainnet.nodit.io/cosmos/slashing/v1beta1/signing_infos

Retrieves signing information for all validators.

Query Parameters
pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
addressstring

Validator consensus address.

start_heightstring (int64)

Height at which the validator started signing.

index_offsetstring (int64)

Index that increments each time the validator enters bonded state in a block, regardless of whether a pre-commit signature was included. Used with the signed_blocks_window parameter to determine the index in the missed block bitmap.

jailed_untilstring (date-time)

Timestamp at which the validator will be jailed due to liveness downtime.

tombstonedboolean

Whether the validator is tombstoned (removed from the validator set). Set when the validator commits equivocation or other configured misconduct.

missed_blocks_counterstring (int64)

A counter of missed (unsigned) blocks. It is used to avoid unnecessary reads in the missed block bitmap.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU35
cURL
curl -X GET "https://rest-injective-mainnet.nodit.io/cosmos/slashing/v1beta1/signing_infos?pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "info": [
    {
      "address": "string",
      "start_height": "string",
      "index_offset": "string",
      "jailed_until": "string",
      "tombstoned": true,
      "missed_blocks_counter": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}